Bug 1380950 - missing runtime dependencies on packages "file" and "findutils"
Summary: missing runtime dependencies on packages "file" and "findutils"
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: checksec
Version: rawhide
Hardware: All
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Björn 'besser82' Esser
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-10-01 21:06 UTC by David Filiatrault
Modified: 2016-10-21 15:52 UTC (History)
1 user (show)

Fixed In Version: checksec-1.7.4-2.fc24 checksec-1.7.4-2.fc25 checksec-1.7.4-2.fc23 checksec-1.7.4-2.el5 checksec-1.7.4-2.el6 checksec-1.7.4-2.el7
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-10-06 00:50:43 UTC
Type: Bug


Attachments (Terms of Use)

Description David Filiatrault 2016-10-01 21:06:17 UTC
this shell script depends on the "file" and "find" command line utilities, however the spec file does not list the packages which contain these programs as dependencies.  


How reproducible: 100%


Steps to Reproduce:
1. docker run -it fedora:rawhide /bin/bash
2. dnf install checksec git
3. checksec --file /usr/bin/git

Actual results:
/usr/bin/checksec: line 636: file: command not found
Error: Not an ELF file: /usr/bin/checksec: line 639: file: command not found

After "dnf install file", would get
RELRO           STACK CANARY      NX            PIE             RPATH      RUNPATH      FILE
Full RELRO      Canary found      NX enabled    PIE enabled     No RPATH   No RUNPATH   /usr/bin/checksec: line 645: find: command not found


Expected results:
RELRO           STACK CANARY      NX            PIE             RPATH      RUNPATH      FILE
Full RELRO      Canary found      NX enabled    PIE enabled     No RPATH   No RUNPATH   /usr/bin/git


Additional info:

Comment 1 Fedora Update System 2016-10-02 22:23:08 UTC
checksec-1.7.4-2.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-9d049e6dda

Comment 2 Fedora Update System 2016-10-03 06:48:45 UTC
checksec-1.7.4-2.el6 has been pushed to the Fedora EPEL 6 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-8501a47a5a

Comment 3 Fedora Update System 2016-10-03 06:49:19 UTC
checksec-1.7.4-2.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-dd8839bb33

Comment 4 Fedora Update System 2016-10-03 07:20:19 UTC
checksec-1.7.4-2.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-ce0271834d

Comment 5 Fedora Update System 2016-10-03 07:23:06 UTC
checksec-1.7.4-2.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-94940dd2d3

Comment 6 Fedora Update System 2016-10-03 09:17:03 UTC
checksec-1.7.4-2.el5 has been pushed to the Fedora EPEL 5 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-ebf2e01f05

Comment 7 Fedora Update System 2016-10-06 00:50:43 UTC
checksec-1.7.4-2.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.

Comment 8 Fedora Update System 2016-10-09 02:44:34 UTC
checksec-1.7.4-2.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.

Comment 9 Fedora Update System 2016-10-11 23:21:44 UTC
checksec-1.7.4-2.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Comment 10 Fedora Update System 2016-10-18 13:18:51 UTC
checksec-1.7.4-2.el5 has been pushed to the Fedora EPEL 5 stable repository. If problems still persist, please make note of it in this bug report.

Comment 11 Fedora Update System 2016-10-19 02:18:43 UTC
checksec-1.7.4-2.el6 has been pushed to the Fedora EPEL 6 stable repository. If problems still persist, please make note of it in this bug report.

Comment 12 Fedora Update System 2016-10-21 15:52:24 UTC
checksec-1.7.4-2.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.